#include "../listrc.h"

ICON "../icon.bmp"
SMALLICON "../icon3.bmp"

MENU ID idMainMenu
BEGIN
    PULLDOWN "Установки"
    BEGIN
	MENUITEM "Выбор БД         " idMainMenuSelectDB "s"
	MENUITEM "Новая БД         " idMainMenuNewDB "n"
	MENUITEM "Удалить БД       " idMainMenuDelDB "d"
	MENUITEM "ИК трансляция БД " idMainMenuBeamDB "b"
	MENUITEM SEPARATOR 
        MENUITEM "Конфигурировать  .." idMainMenuCustom "m"
        MENUITEM "Информация о List.." idMainMenuAbout "a"
    END
END

FORM idMainForm 0 0 160 160
USABLE
NOFRAME
MENUID idMainMenu
BEGIN
    TITLE "List"
    POPUPTRIGGER "" idMainCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idMainCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idMainTable 0 18 160 124 ROWS mainTableRows COLUMNS 1 COLUMNWIDTHS 160
    BUTTON "Новая" idMainNewButton 2 146 AUTO AUTO
    BUTTON "Найти" idMainFindButton PREVRIGHT+6 146 AUTO AUTO
    FIELD ID idMainLookupText AT(PREVRIGHT+6 PREVTOP 110-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 10
    PUSHBUTTON "" ID idMainSelectButton AT(122 148 9 9) FONT 0 NONUSABLE
    REPEATBUTTON "\001" idMainUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idMainDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idViewForm 0 0 160 160
USABLE
NOFRAME
BEGIN
    TITLE "Просмотр"
    BUTTON "Закончить" idViewDoneButton 2 146 AUTO AUTO
    BUTTON "Редактировать" idViewEditButton PREVRIGHT+6 146 AUTO AUTO
    REPEATBUTTON "\001" idViewUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idViewDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

MENU ID idEditMenu
BEGIN
    PULLDOWN "Редактировать"
    BEGIN
        MENUITEM "Отмена" idEditMenuUndo "u"
        MENUITEM "Вырезать" idEditMenuCut "x"
        MENUITEM "Копировать" idEditMenuCopy "c"
        MENUITEM "Вклеить" idEditMenuPaste "p"
        MENUITEM "Выделить все" idEditMenuSelectAll "s"
	MENUITEM SEPARATOR 
        MENUITEM "Клавиатура" idEditMenuKeyboard "k"
    END
END


FORM idEditForm 0 0 160 160
USABLE
NOFRAME
MENUID idEditMenu
BEGIN
    TITLE "Редактировать"
    POPUPTRIGGER "" idEditCategoryTrigger 160 0 0 13 RIGHTANCHOR USABLE FONT 0
    LIST "" ID idEditCategoryList 86 1 72 AUTO NONUSABLE VISIBLEITEMS 1
    TABLE ID idEditTable 0 18 160 124 ROWS editTableRows COLUMNS 2 COLUMNWIDTHS 40 120
    BUTTON "Закончить" idEditDoneButton 2 146 AUTO AUTO
    BUTTON "Удалить" idEditDeleteButton PREVRIGHT+6 146 AUTO AUTO
    BUTTON "Note" idEditNoteButton PREVRIGHT+6 146 AUTO AUTO NONUSABLE
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idNoteEditForm 0 0 160 160
USABLE
MODAL
MENUID idEditMenu
BEGIN
    TITLE "Note"
    BUTTON "Закончить" idEditDoneButton 2 146 AUTO AUTO
	FIELD ID idNoteEditField AT(0 18 160 124) LEFTALIGN UNDERLINED MULTIPLELINES MAXCHARS 4095
    GRAFFITISTATEINDICATOR AT(130 150)
    REPEATBUTTON "\001" idEditUpButton AT(146 144 15 8) FONT 5 NOFRAME
    REPEATBUTTON "\002" idEditDownButton AT(146 152 15 8) FONT 5 NOFRAME
END

FORM idCustomForm 2 2 156 156
USABLE
MODAL
HELPID idCustomHelp
BEGIN
    TITLE "Конфигурировать"

	LABEL "БД" ID idCustomLabel1 AT(2 18) FONT 0
	FIELD ID idCustomFieldListName AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 20
	LABEL "Поле1:" ID idCustomLabel2 AT(2 PREVBOTTOM+4) FONT 0
	FIELD ID idCustomFieldField1 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Поле2:" ID idCustomLabel3 AT(2 PREVBOTTOM+2) FONT 0
	FIELD ID idCustomFieldField2 AT(PREVRIGHT+2 PREVTOP 156-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 15
	LABEL "Упорядочить" ID idCustomLabel4 AT(16 PREVBOTTOM+6) FONT 0
	POPUPTRIGGER "Поле1,Поле2" ID idCustomPopupTrigger AT(PREVRIGHT+2 PREVTOP AUTO AUTO) LEFTANCHOR
	LIST "Поле1,Поле2" "Поле2,Поле1" ID idCustomPopupList AT(PREVLEFT+8 PREVTOP AUTO AUTO) NONUSABLE VISIBLEITEMS 2
	POPUPLIST idCustomPopupTrigger idCustomPopupList
	CHECKBOX "Защитить от записи" ID idCustomCheckWritePro AT(16 PREVBOTTOM-4 AUTO AUTO)
	CHECKBOX "Сделать копию при Hot-Sync" ID idCustomCheckBackup AT(16 PREVBOTTOM AUTO AUTO)
	CHECKBOX "Автосохранение" ID idCustomCheckAutomate AT(16 PREVBOTTOM+4 AUTO AUTO)
	CHECKBOX "Выбрать БД при запуске" ID idCustomCheckSelect AT(16 PREVBOTTOM AUTO AUTO)
	BUTTON "Закончить" idCustomDoneButton 4 140 AUTO AUTO
	GRAFFITISTATEINDICATOR AT(130 146)
END

STRING idCustomHelp "БД, Поле1 и Поле2 - эти области позволят вам "\
	"конфигурировать текущую базу данных (БД).\n\n"\
	"задавать тип упорядочивания полей для текущей БД.\n\n"\
	"защищать БД от записи и редактирования ячеек.\n\n"\
	"делать копию вашей БД в процессе Hot-Sync.\n\n"\
	"последние два флажка являются общими для всех используемых БД.\n\n"\
	"включение автосохранения задействует режим записи и резервирования копии в случаях "\
	"выполнения редактирования после последнего Hot-Sync.  После Hot-Sync режим автосохранения"\
	"автоматически очищается.\n\n"\
	"Установка выбора БД при вызове List позволяет указать, какую именно БД вам "\
	"необходимо загрузить, если введено более одной БД. Как правило, вызывается"\
	"последняя из активизированных БД."


FORM idSelectFormV10 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "Выбор БД"
    TABLE ID idSelectTable 2 18 156 136 ROWS selectTableRows COLUMNS 1 COLUMNWIDTHS 152
END

FORM idSelectFormV20 2 2 156 156
USABLE
MODAL
BEGIN
    TITLE "Выбор БД"
	LIST "" ID idSelectList 7 18 142 136 VISIBLEITEMS 12
END

FORM idFindForm 2 98 156 60
USABLE
MODAL
MENUID idEditMenu
BEGIN
	TITLE "Найти в БД"
	LABEL "Найти:" ID idFindLabel AT(6 21) FONT 1
	FIELD ID idFindText AT(PREVRIGHT+2 PREVTOP 146-PREVRIGHT AUTO) LEFTALIGN UNDERLINED SINGLELINE MAXCHARS 30
	BUTTON "   OK   " idFindOkButton 6 44 AUTO AUTO
	BUTTON "Отмена" idFindCancelButton PREVRIGHT+6 PREVTOP AUTO AUTO
	GRAFFITISTATEINDICATOR AT(134 48)
END

FORM idFindResultsForm 2 2 156 156
USABLE
MODAL
BEGIN
	TITLE "Найти в БД"
	TABLE ID idFindTable 2 26 154 110 ROWS findTableRows COLUMNS 1 COLUMNWIDTHS 152	
	BUTTON "Отмена" idFindResCancelButton 6 140 AUTO AUTO
	BUTTON "Найти далее" idFindResMoreButton PREVRIGHT+6 PREVTOP AUTO AUTO NONUSABLE
END

ALERT idAbout
INFORMATION
BEGIN
    TITLE "Информация о List 0.99"
    MESSAGE "БД List - бесплатное ПО"\
	"\nJuly 3, 2000"\
	"\n\nAndrew Low"\
	"\nroo@magma.ca"\
	"\nwww.magma.ca/~roo"\
	"\n\nValery Sukhanov"\
	"\nvalery@neuhaus.ru"

    BUTTONS "Ok"
END

VERSION ID 1 "0.99"

ALERT idDuplicateDB
ERROR
BEGIN
    TITLE "Конфликт имени БД"
    MESSAGE "БД с таким именем уже существует. "\
	    "Используйте режим конфигурации для изменения имени БД прежде чем введете новую БД."
    BUTTONS "Ok"
END

ALERT idVerifyDeleteRecord
CONFIRMATION
BEGIN
    TITLE "Удалить запись"
    MESSAGE "Удалить текущую запись?"
    BUTTONS "Ok" "Отмена"
END

ALERT idVerifyDeleteDB
CONFIRMATION
BEGIN
    TITLE "Удалить БД"
    MESSAGE "Удалить текущую БД?"
    BUTTONS "Ok" "Отмена"
END

ALERT idVerifyReplaceDB
CONFIRMATION
BEGIN
    TITLE "Заменить БД"
    MESSAGE "Заменить текущую БД?"
    BUTTONS "Ok" "Отмена"
END

ALERT idMaxNumberOfDBs
ERROR
BEGIN
    TITLE "Введено слишком много БД"
    MESSAGE "List поддерживает до 12 БД."
    BUTTONS "Ok"
END

ALERT idNameConflict
ERROR
BEGIN
    TITLE "Конфликт имени БД"
    MESSAGE "Невозможно сохранить две БД с одинаковыми именами.  Измение имя одной из БД."
    BUTTONS "Ok"
END

ALERT idNameEmptyError
ERROR
BEGIN
    TITLE "Не введено имя БД"
    MESSAGE "Невозможно сохранить БД без имени."
    BUTTONS "Ok"
END

ALERT idWriteProtect
ERROR
BEGIN
    TITLE "БД защищена от записи"
    MESSAGE "БД помечена как защищенная от записи. Снимите соответсвующий флажок, "\
	"используя режим конфигурации."
    BUTTONS "Ok"
END

ALERT idNoMemUpdate
ERROR
BEGIN
    TITLE "Недостаточно памяти"
    MESSAGE "Невозможно сохранить запись -- изменения не будут сохранены."
    BUTTONS "Ok"
END

ALERT idBeamNotSupported
WARNING
BEGIN
    TITLE "ИК трансляция"
    MESSAGE "Используемое устройство не поддерживает ИК трансляцию."
    BUTTONS "OK"
END

ALERT idCopyProtected
INFORMATION
BEGIN
    TITLE "Невозможно транслировать по ИК порту"
    MESSAGE "Защищенная от записи БД не может быть передана по ИК порту."
    BUTTONS "OK"
END

ALERT bad
ERROR
BEGIN
	TITLE "Неопределяемая ошибка"
	MESSAGE "Произошел непредвиденный сбой"
	BUTTONS "Ничего не поделаешь"
END

// Max size of idStringView + idStringOf + 10 < 32
STRING idStringView			"View "
STRING idStringOf			" of "

// Max size of idStringUnfiled < 16
STRING idStringUnfiled		"Unfiled"

// Max size of idStringNewDatabase < 31
STRING idStringNewDatabase	"New List"

// Max size of each of the following < 15 per string.
STRING idStringField1		"Field1"
STRING idStringField2		"Field2"
STRING idStringNote			"Note"